Package org.gitana.platform.client.node

# Interface Association

All Superinterfaces:
  `Attachable`, `BaseNode`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `TypedID`

All Known Subinterfaces:
  `ChildAssociation`, `CopiedFromAssociation`, `CreatedAssociation`, `DeletedAssociation`, `HasBehaviorAssociation`, `HasFormAssociation`, `HasLockAssociation`, `HasMountAssociation`, `HasTranslationAssociation`, `LinkedAssociation`, `OwnedAssociation`, `UpdatedAssociation`

All Known Implementing Classes:
  `AssociationImpl`, `ChildAssociationImpl`, `CopiedFromAssociationImpl`, `CreatedAssociationImpl`, `DeletedAssociationImpl`, `HasBehaviorAssociationImpl`, `HasFormAssociationImpl`, `HasLockAssociationImpl`, `HasMountAssociationImpl`, `HasTranslationAssociationImpl`, `LinkedAssociationImpl`, `OwnedAssociationImpl`, `UpdatedAssociationImpl`

public interface Association extends BaseNode
Association

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_DIRECTIONALITY`
`static final String`
`FIELD_SOURCE`
`static final String`
`FIELD_SOURCE_CHANGESET`
`static final String`
`FIELD_SOURCE_TYPE`
`static final String`
`FIELD_TARGET`
`static final String`
`FIELD_TARGET_CHANGESET`
`static final String`
`FIELD_TARGET_TYPE`
`static final String`
`FIELD_TIMESTAMP`

### Fields inherited from interface org.gitana.platform.client.node.BaseNode

`FIELD_FEATURES, FIELD_QNAME, FIELD_TYPE_QNAME, SYSTEM_CHANGESET, SYSTEM_DELETED`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`org.gitana.platform.services.association.Directionality`
`getDirectionality()`
`Node`
`getOtherNode(Node node)`
`Changeset`
`getSourceChangeset()`
`String`
`getSourceChangesetId()`
`Node`
`getSourceNode()`
`String`
`getSourceNodeId()`
`org.gitana.platform.support.QName`
`getSourceNodeTypeQName()`
`Changeset`
`getTargetChangeset()`
`String`
`getTargetChangesetId()`
`Node`
`getTargetNode()`
`String`
`getTargetNodeId()`
`org.gitana.platform.support.QName`
`getTargetNodeTypeQName()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getTimestamp()`
`boolean`
`isOwned()`
`boolean`
`isSourceLoaded()`
`boolean`
`isTargetLoaded()`
`void`
`setDirectionality(org.gitana.platform.services.association.Directionality directionality)`
`void`
`setSourceChangesetId(String sourceChangesetId)`
`void`
`setSourceNode(Node sourceNode)`
`void`
`setSourceNodeId(String sourceNodeId)`
`void`
`setSourceNodeTypeQName(org.gitana.platform.support.QName sourceNodeTypeQName)`
`void`
`setTargetChangesetId(String targetChangesetId)`
`void`
`setTargetNode(Node targetNode)`
`void`
`setTargetNodeId(String targetNodeId)`
`void`
`setTargetNodeTypeQName(org.gitana.platform.support.QName targetNodeType)`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.node.BaseNode

`addFeature, getBranch, getBranchId, getChangeset, getChangesetId, getFeature, getFeatureIds, getQName, getRepository, getRepositoryId, getTypeQName, hasFeature, isDeleted, removeFeature, touch`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_SOURCE

static final String FIELD_SOURCE

See Also:
  - Constant Field Values

### FIELD_SOURCE_TYPE

static final String FIELD_SOURCE_TYPE

See Also:
  - Constant Field Values

### FIELD_SOURCE_CHANGESET

static final String FIELD_SOURCE_CHANGESET

See Also:
  - Constant Field Values

### FIELD_TARGET

static final String FIELD_TARGET

See Also:
  - Constant Field Values

### FIELD_TARGET_TYPE

static final String FIELD_TARGET_TYPE

See Also:
  - Constant Field Values

### FIELD_TARGET_CHANGESET

static final String FIELD_TARGET_CHANGESET

See Also:
  - Constant Field Values

### FIELD_TIMESTAMP

static final String FIELD_TIMESTAMP

See Also:
  - Constant Field Values

### FIELD_DIRECTIONALITY

static final String FIELD_DIRECTIONALITY

See Also:
  - Constant Field Values

## Method Details

### getSourceNodeTypeQName

org.gitana.platform.support.QName getSourceNodeTypeQName()

### setSourceNodeTypeQName

void setSourceNodeTypeQName(org.gitana.platform.support.QName sourceNodeTypeQName)

### getSourceNodeId

String getSourceNodeId()

### setSourceNodeId

void setSourceNodeId(String sourceNodeId)

### getSourceChangesetId

String getSourceChangesetId()

### setSourceChangesetId

void setSourceChangesetId(String sourceChangesetId)

### getTargetNodeTypeQName

org.gitana.platform.support.QName getTargetNodeTypeQName()

### setTargetNodeTypeQName

void setTargetNodeTypeQName(org.gitana.platform.support.QName targetNodeType)

### getTargetNodeId

String getTargetNodeId()

### setTargetNodeId

void setTargetNodeId(String targetNodeId)

### getTargetChangesetId

String getTargetChangesetId()

### setTargetChangesetId

void setTargetChangesetId(String targetChangesetId)

### getSourceNode

Node getSourceNode()

### getSourceChangeset

Changeset getSourceChangeset()

### getTargetNode

Node getTargetNode()

### getTargetChangeset

Changeset getTargetChangeset()

### setSourceNode

void setSourceNode(Node sourceNode)

### setTargetNode

void setTargetNode(Node targetNode)

### getOtherNode

Node getOtherNode(Node node)

### isOwned

boolean isOwned()

### isSourceLoaded

boolean isSourceLoaded()

### isTargetLoaded

boolean isTargetLoaded()

### getTimestamp

com.fasterxml.jackson.databind.node.ObjectNode getTimestamp()

Returns:
  timestamp

### getDirectionality

org.gitana.platform.services.association.Directionality getDirectionality()

### setDirectionality

void setDirectionality(org.gitana.platform.services.association.Directionality directionality)